=== debian/changelog ===
scriv (0.16.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 15 Aug 2022 11:11:38 +0100

scriv (0.16.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1016755)

 -- Edward Betts <edward@4angle.com>  Mon, 08 Aug 2022 13:11:35 +0100
