## scriv 0.17.0

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	cd docs; make clean
 
 coverage: clean ## generate and view HTML coverage report
-	tox -e py37,py310,coverage
+	tox -e py37,py311,coverage
 	$(BROWSER)htmlcov/index.html
 
 docs: ## generate Sphinx HTML documentation, including API docs
@@ -88,7 +88,7 @@
 	git push --all
 
 gh_release: ## Make a GitHub release
-	python -m scriv github-release
+	python -m scriv github-release --all
 
 .PHONY: release check_release _check_manifest _check_version _check_scriv
