=== debian/changelog ===
scriv (0.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 24 Sep 2022 09:05:45 +0100
