## scriv 1.0.0

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	find . -name '*.pyo' -exec rm -f {} +
 	find . -name '*~' -exec rm -f {} +
 	coverage erase
+	rm -fr coverage.json
 	rm -fr build/
 	rm -fr dist/
 	rm -fr *.egg-info
@@ -36,7 +37,7 @@
 	tox -e py37,py311,coverage
 	$(BROWSER)htmlcov/index.html
 
-docs: ## generate Sphinx HTML documentation, including API docs
+docs: botedits ## generate Sphinx HTML documentation, including API docs
 	tox -e docs
 	$(BROWSER)docs/_build/html/index.html
 
@@ -57,6 +58,10 @@
 	sed -n -e '/end_install_requires/,$$p' < setup.cfg >> setup.tmp
 	mv setup.tmp setup.cfg
 
+botedits: ## make source edits by tools
+	python -m black --line-length=80 src/scriv tests docs setup.py
+	python -m cogapp -crP docs/*.rst
+
 quality: ## check coding style with pycodestyle and pylint
 	tox -e quality
 
@@ -70,7 +75,7 @@
 test-all: ## run tests on every supported Python combination
 	tox
 
-validate: clean quality test ## run tests and quality checks
+validate: clean botedits quality test ## run tests and quality checks
 
 .PHONY: dist pypi testpypi tag gh_release
