=== debian/changelog ===
scriv (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now needs pyyaml for tests, so add Build-Depends.

 -- Edward Betts <edward@4angle.com>  Wed, 07 Dec 2022 06:21:33 +0000
