=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
                python3-pytest-mock <!nocheck>,
                python3-requests,
                python3-responses <!nocheck>,
-               python3-setuptools
+               python3-setuptools,
+               python3-yaml
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Homepage: https://github.com/nedbat/scriv
