=== debian/changelog ===
scriv (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop the patch to work with old versions of pandoc because  pandoc
    2.17.1.1 has migrated to testing.
  * Update pandoc Depends and Build-Depends with minimum version (>> 2.17).
  * Update copyright year.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Fri, 20 Jan 2023 17:43:35 +0000
