=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/scriv-$1\.tar\.gz/ \
  https://github.com/nedbat/scriv/tags .*/v?(\d\S+)\.tar\.gz
