## scriv 1.2.1

=== debian/changelog ===
scriv (1.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 18 Mar 2023 07:52:25 +0100
