## scriv 1.3.1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #   - make check_release
 #   - make release
 
-.PHONY: clean coverage docs help \
+.PHONY: clean sterile coverage docs help \
 	quality requirements test test-all upgrade validate
 
 .DEFAULT_GOAL := help
@@ -32,6 +32,9 @@
 	rm -fr htmlcov/
 	rm -fr .*_cache/
 	cd docs; make clean
+
+sterile: clean ## remove absolutely all built artifacts
+	rm -fr .tox
 
 coverage: clean ## generate and view HTML coverage report
 	tox -e py37,py311,coverage
@@ -105,9 +108,14 @@
 gh_release: ## Make a GitHub release
 	python -m scriv github-release --all
 
+comment_text:
+	@echo "Use this to comment on issues and pull requests:"
+	@export V=$$(python setup.py --version); \
+		echo "This is now released as part of [scriv $$V](https://pypi.org/project/scriv/$$V)."
+
 .PHONY: release check_release _check_manifest _check_version _check_scriv
 
-release: clean check_release dist pypi tag gh_release ## do all the steps for a release
+release: clean check_release dist pypi tag gh_release comment_text ## do all the steps for a release
 
 check_release: _check_manifest _check_tree _check_version _check_scriv ## check that we are ready for a release
 	@echo "Release checks passed"
