=== debian/changelog ===
scriv (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 25 Apr 2023 16:03:32 +0200
