=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                git,
-               pandoc,
+               pandoc (>> 2.17),
                python3-all,
                python3-attr,
                python3-click-log,
@@ -20,14 +20,14 @@
                python3-setuptools,
                python3-yaml
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/nedbat/scriv
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scriv
 Vcs-Git: https://salsa.debian.org/python-team/packages/scriv.git
 
 Package: scriv
 Architecture: all
-Depends: git, pandoc, ${misc:Depends}, ${python3:Depends}
+Depends: git, pandoc (>> 2.17), ${misc:Depends}, ${python3:Depends}
 Description: Command-line changelog management tool
  Command-line tool for helping developers maintain useful changelogs.
  It manages a directory of changelog fragments. It aggregates them into entries
