=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=scriv
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=tests -k "not test_real_get_github_repo"
export PYBUILD_AFTER_BUILD=PYTHONPATH=src python3 setup.py --command-packages=click_man.commands man_pages

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf src/scriv.egg-info/ man/
