## scriv 1.4.0

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	rm -fr .tox
 
 coverage: clean ## generate and view HTML coverage report
-	tox -e py37,py311,coverage
+	tox -e py37,py312,coverage
 	$(BROWSER)htmlcov/index.html
 
 docs: botedits ## generate Sphinx HTML documentation, including API docs
