=== debian/changelog ===
scriv (1.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 18 Oct 2023 11:56:54 +0100
