## scriv 1.5.1

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	find . -name '*.pyc' -exec rm -f {} +
 	find . -name '*.pyo' -exec rm -f {} +
 	find . -name '*~' -exec rm -f {} +
-	coverage erase
+	-coverage erase
 	rm -fr coverage.json
 	rm -fr build/
 	rm -fr dist/
@@ -106,19 +106,25 @@
 	git push --all
 
 gh_release: ## Make a GitHub release
-	python -m scriv github-release --all
+	python -m scriv github-release --all --fail-if-warn --check-links
 
 comment_text:
 	@echo "Use this to comment on issues and pull requests:"
 	@export V=$$(python setup.py --version); \
 		echo "This is now released as part of [scriv $$V](https://pypi.org/project/scriv/$$V)."
 
-.PHONY: release check_release _check_manifest _check_version _check_scriv
+.PHONY: release check_release _check_credentials _check_manifest _check_version _check_scriv
 
-release: clean check_release dist pypi tag gh_release comment_text ## do all the steps for a release
+release: _check_credentials clean check_release dist pypi tag gh_release comment_text ## do all the steps for a release
 
-check_release: _check_manifest _check_tree _check_version _check_scriv ## check that we are ready for a release
+check_release: _check_manifest _check_tree _check_version _check_scriv _check_links ## check that we are ready for a release
 	@echo "Release checks passed"
+
+_check_credentials:
+	@if [[ -z "$$TWINE_PASSWORD" ]]; then \
+		echo 'Missing TWINE_PASSWORD: opvars'; \
+		exit 1; \
+	fi
 
 _check_manifest:
 	python -m check_manifest
@@ -140,3 +146,6 @@
 		echo 'There are scriv fragments! Did you forget `scriv collect`?'; \
 		exit 1; \
 	fi
+
+_check_links:
+	python -m scriv github-release --dry-run --fail-if-warn --check-links
