=== debian/changelog ===
scriv (1.5.1-2) unstable; urgency=medium

  * Patch tests/test_process.py to fix test failure caused by changes
    in click 8.2.0. (Closes: #1098627)
  * Update copyright year.
  * Update Standards-Version.
  * Move packages required for tests and docs to Build-Depends-Indep.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sat, 22 Feb 2025 10:11:25 -0500

scriv (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Add Build-Depends for python3-markdown-it, now required by upstream.

 -- Edward Betts <edward@4angle.com>  Sun, 05 May 2024 11:48:51 +0300
