=== debian/control ===
Source: scriv
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 git,
 pandoc (>> 2.17),
 python3-attr,
 python3-click-log,
 python3-click-man,
 python3-freezegun <!nocheck>,
 python3-jinja2,
 python3-markdown-it <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-requests,
 python3-responses <!nocheck>,
 python3-yaml,
Rules-Requires-Root: no
Standards-Version: 4.7.1
Homepage: https://github.com/nedbat/scriv
Vcs-Browser: https://salsa.debian.org/python-team/packages/scriv
Vcs-Git: https://salsa.debian.org/python-team/packages/scriv.git

Package: scriv
Architecture: all
Depends:
 git,
 pandoc (>> 2.17),
 ${misc:Depends},
 ${python3:Depends},
Description: Command-line changelog management tool
 Command-line tool for helping developers maintain useful changelogs.
 It manages a directory of changelog fragments. It aggregates them into entries
 in a CHANGELOG file.
 .
 Scriv writes changelog fragments into a directory called "changelog.d".  Start
 by creating this directory.
 .
 To make a new changelog fragment, use the 'scriv create' command.  It will
 make a new file with a filename using the current date and time, your GitHub
 or Git user name, and your branch name.  Changelog fragments should be
 committed along with all the other changes on your branch.
 .
 When it is time to release your project, the 'scriv collect' command
 aggregates all the fragments into a new entry in your changelog file.
