=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-click-log,
 python3-freezegun,
 python3-pytest,
 python3-pytest-mock,
 python3-responses,
 python3-yaml,
 @,
