## scriv 1.6.2

=== debian/changelog ===
scriv (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Drop test failure patch, accepted upstream.
  * Use click-man command to generate man page instead of call to setup.py
    because upstream switched from setup.py to pyproject.toml.
  * Patch pyproject.toml to work with older versions of setuptools that are
    missing the latest PEP 639 changes.

 -- Edward Betts <edward@4angle.com>  Mon, 07 Apr 2025 06:37:09 +0100
