=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
+ click-man,
  git,
  pandoc (>> 2.17),
  python3-attr,
  python3-click-log,
- python3-click-man,
  python3-freezegun <!nocheck>,
  python3-jinja2,
  python3-markdown-it <!nocheck>,
@@ -25,10 +25,11 @@
  python3-responses <!nocheck>,
  python3-yaml,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/nedbat/scriv
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scriv
 Vcs-Git: https://salsa.debian.org/python-team/packages/scriv.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: scriv
 Architecture: all
