## scriv 1.7.0

=== Makefile ===
--- 
+++ 
@@ -7,13 +7,15 @@
 #   - make check_release
 #   - make release
 
-.PHONY: clean sterile coverage docs help \
-	quality requirements test test-all upgrade validate
-
 .DEFAULT_GOAL := help
 
 # For opening files in a browser. Use like: $(BROWSER)relative/path/to/file.html
 BROWSER := python -m webbrowser file://$(CURDIR)/
+
+# A command to get the current version.  A little slow, but only run when needed.
+VERSION := $$(python -c "import build.util as bu; print(bu.project_wheel_metadata('.')['Version'])")
+
+.PHONY: help clean sterile
 
 help: ## display this help message
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -36,15 +38,17 @@
 sterile: clean ## remove absolutely all built artifacts
 	rm -fr .tox
 
+.PHONY: coverage docs upgrade diff_upgrade
+
 coverage: clean ## generate and view HTML coverage report
-	tox -e py37,py312,coverage
+	tox -e py39,py313,coverage
 	$(BROWSER)htmlcov/index.html
 
 docs: botedits ## generate Sphinx HTML documentation, including API docs
 	tox -e docs
 	$(BROWSER)docs/_build/html/index.html
 
-PIP_COMPILE = pip-compile --upgrade --resolver=backtracking
+PIP_COMPILE = pip-compile --upgrade --resolver=backtracking -c requirements/constraints.txt --no-strip-extras
 upgrade: export CUSTOM_COMPILE_COMMAND=make upgrade
 upgrade: ## update the requirements/*.txt files with the latest packages satisfying requirements/*.in
 	pip install -qr requirements/pip-tools.txt
@@ -56,11 +60,6 @@
 	$(PIP_COMPILE) -o requirements/quality.txt requirements/quality.in
 	$(PIP_COMPILE) -o requirements/tox.txt requirements/tox.in
 	$(PIP_COMPILE) -o requirements/dev.txt requirements/dev.in
-	# Splice requirements/base.in into setup.cfg
-	sed -n -e '1,/begin_install_requires/p' < setup.cfg > setup.tmp
-	sed -n -e '/^[a-zA-Z]/s/^/    /p' < requirements/base.in >> setup.tmp
-	sed -n -e '/end_install_requires/,$$p' < setup.cfg >> setup.tmp
-	mv setup.tmp setup.cfg
 
 diff_upgrade: ## summarize the last `make upgrade`
 	@# The sort flags sort by the package name first, then by the -/+, and
@@ -71,8 +70,11 @@
 	@#	+build==0.10.0
 	@git diff -U0 | grep -v '^@' | grep == | sort -k1.2,1.99 -k1.1,1.1r -u -V
 
+
+.PHONY: botedits quality requirements test test-all validate
+
 botedits: ## make source edits by tools
-	python -m black --line-length=80 src/scriv tests docs setup.py
+	python -m black --line-length=80 src/scriv tests docs
 	python -m cogapp -crP docs/*.rst
 
 quality: ## check coding style with pycodestyle and pylint
@@ -81,39 +83,41 @@
 requirements: ## install development environment requirements
 	pip install -qr requirements/pip-tools.txt
 	pip-sync requirements/dev.txt
+	pip install -e .
 
 test: ## run tests in the current virtualenv
-	tox -e py38
+	tox -e py39
 
 test-all: ## run tests on every supported Python combination
 	tox
 
 validate: clean botedits quality test ## run tests and quality checks
 
-.PHONY: dist pypi testpypi tag gh_release
 
-dist: ## Build the distributions
+.PHONY: dist pypi testpypi tag gh_release comment_text
+
+dist: ## build the distributions
 	python -m build --sdist --wheel
 
-pypi: ## Upload the built distributions to PyPI.
+pypi: ## upload the built distributions to PyPI.
 	python -m twine upload --verbose dist/*
 
-testpypi: ## Upload the distrubutions to PyPI's testing server.
+testpypi: ## upload the distrubutions to PyPI's testing server.
 	python -m twine upload --verbose --repository testpypi dist/*
 
-tag: ## Make a git tag with the version number
-	git tag -a -m "Version $$(python setup.py --version)" $$(python setup.py --version)
+tag: ## make a git tag with the version number
+	git tag -s -m "Version $(VERSION)" $(VERSION)
 	git push --all
 
-gh_release: ## Make a GitHub release
+gh_release: ## make a GitHub release
 	python -m scriv github-release --all --fail-if-warn --check-links
 
 comment_text:
 	@echo "Use this to comment on issues and pull requests:"
-	@export V=$$(python setup.py --version); \
-		echo "This is now released as part of [scriv $$V](https://pypi.org/project/scriv/$$V)."
+	@echo "This is now released as part of [scriv $(VERSION)](https://pypi.org/project/scriv/$(VERSION))."
 
-.PHONY: release check_release _check_credentials _check_manifest _check_version _check_scriv
+
+.PHONY: release check_release _check_credentials _check_manifest _check_tree _check_version _check_scriv _check_links
 
 release: _check_credentials clean check_release dist pypi tag gh_release comment_text ## do all the steps for a release
 
@@ -123,6 +127,10 @@
 _check_credentials:
 	@if [[ -z "$$TWINE_PASSWORD" ]]; then \
 		echo 'Missing TWINE_PASSWORD: opvars'; \
+		exit 1; \
+	fi
+	@if [[ -z "$$GITHUB_TOKEN" ]]; then \
+		echo 'Missing GITHUB_TOKEN: opvars github'; \
 		exit 1; \
 	fi
 
@@ -136,7 +144,7 @@
 	fi
 
 _check_version:
-	@if [[ $$(git tags | grep -q -w $$(python setup.py --version) && echo "x") == "x" ]]; then \
+	@if [[ $$(git tags | grep -q -w $(VERSION) && echo "x") == "x" ]]; then \
 		echo 'A git tag for this version exists! Did you forget to bump the version in src/scriv/__init__.py?'; \
 		exit 1; \
 	fi
