=== debian/changelog ===
scriv (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream update copyright year.
  * Needs setuptools (>= 77) because of pyproject.toml PEP 639 changes.
  * Drop PEP 639 patch, required version of setuptools is now in Debian.

 -- Edward Betts <edward@4angle.com>  Sat, 03 May 2025 18:14:57 +0300
