=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-setuptools (>= 77),
 Build-Depends-Indep:
  click-man,
  git,
