=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=tests -k "not test_real_get_github_repo and not test_bad_convert_to_markdown"
export PYBUILD_AFTER_BUILD = PYTHONPATH=src click-man --target=man scriv


%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf src/scriv.egg-info/ man/
