=== debian/watch ===
version=4
https://github.com/nedbat/scriv/tags .*/v?(\d\S+)\.tar\.gz
