## scriv 1.8.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #   - increment the version in src/scriv/__init__.py
 #   - scriv collect
 #   - commit changes
+#   - make quality
 #   - make check_release
 #   - make release
 
@@ -41,19 +42,17 @@
 .PHONY: coverage docs upgrade diff_upgrade
 
 coverage: clean ## generate and view HTML coverage report
-	tox -e py39,py313,coverage
+	tox -e py310,py314,coverage
 	$(BROWSER)htmlcov/index.html
 
 docs: botedits ## generate Sphinx HTML documentation, including API docs
 	tox -e docs
 	$(BROWSER)docs/_build/html/index.html
 
-PIP_COMPILE = pip-compile --upgrade --resolver=backtracking -c requirements/constraints.txt --no-strip-extras
-upgrade: export CUSTOM_COMPILE_COMMAND=make upgrade
+PIP_COMPILE = uv pip compile -q --universal -c requirements/constraints.in --upgrade
+upgrade: export UV_CUSTOM_COMPILE_COMMAND=make upgrade
 upgrade: ## update the requirements/*.txt files with the latest packages satisfying requirements/*.in
-	pip install -qr requirements/pip-tools.txt
 	# Make sure to compile files after any other files they include!
-	$(PIP_COMPILE) -o requirements/pip-tools.txt requirements/pip-tools.in
 	$(PIP_COMPILE) -o requirements/base.txt requirements/base.in
 	$(PIP_COMPILE) -o requirements/test.txt requirements/test.in
 	$(PIP_COMPILE) -o requirements/doc.txt requirements/doc.in
@@ -74,19 +73,26 @@
 .PHONY: botedits quality requirements test test-all validate
 
 botedits: ## make source edits by tools
-	python -m black --line-length=80 src/scriv tests docs
+	python -m ruff format src/scriv tests docs
 	python -m cogapp -crP docs/*.rst
 
 quality: ## check coding style with pycodestyle and pylint
 	tox -e quality
 
-requirements: ## install development environment requirements
-	pip install -qr requirements/pip-tools.txt
-	pip-sync requirements/dev.txt
-	pip install -e .
+# For installing development tooling, use uv if it's available, otherwise pip.
+HAS_UV := $(shell command -v uv 2>/dev/null)
+ifdef HAS_UV
+	INSTALL := uv pip sync
+else
+	INSTALL := python -m pip install -r
+endif
+
+install:				## install the developer tools.
+	$(INSTALL) requirements/dev.txt
+	python -m pip install -e .
 
 test: ## run tests in the current virtualenv
-	tox -e py39
+	tox -e py310
 
 test-all: ## run tests on every supported Python combination
 	tox
