=== debian/changelog ===
scriv (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Patch to fix failing tests.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update debian/watch to format version 5.

 -- Edward Betts <edward@4angle.com>  Fri, 02 Jan 2026 11:52:08 +0000

scriv (1.7.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-markdown-it. Closes: #1116911.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 01:40:00 +0200
