=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -18,14 +17,13 @@
  python3-click-log,
  python3-freezegun <!nocheck>,
  python3-jinja2,
- python3-markdown-it <!nocheck>,
+ python3-markdown-it,
  python3-pytest <!nocheck>,
  python3-pytest-mock <!nocheck>,
  python3-requests,
  python3-responses <!nocheck>,
  python3-yaml,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/nedbat/scriv
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scriv
 Vcs-Git: https://salsa.debian.org/python-team/packages/scriv.git
