=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=tests
export PYBUILD_AFTER_BUILD = PYTHONPATH=src click-man --target=man scriv


%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf src/scriv.egg-info/ man/
