=== debian/watch ===
Version: 5

Template: Github
Owner: nedbat
Project: scriv
